#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void) { return 1; }
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
#define yyin (stdin)
#define yyout (stdout)
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
/* FILE *yyin = {stdin}, *yyout = {stdout}; */
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "parse.l"
/* ----------------------------------------------------------------------------
 *  Copyright (C) 1995-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

#include "globals.h"
#include "y.tab.h"
#include "symtab.h"
#include <math.h>

#undef input	/* disable lex input() */
#undef unput	/* disable lex unput() */

extern complex	xArg, yArg, gArg;
extern char	*formula;
extern int	yyPos;






# line 40 "parse.l"
/* ----------------------------------------------------------------------------
 * input - substitute for lex input()
 * ------------------------------------------------------------------------- */

char input(void)
{
	yyPos++;
	return(*formula++);
}






# line 54 "parse.l"
/* ----------------------------------------------------------------------------
 * unput - substitute for lex unput()
 * ------------------------------------------------------------------------- */

void unput(char c)
{
	yyPos--;
	*--formula = c;
}

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 67 "parse.l"
	return EXP;
break;
case 2:

# line 68 "parse.l"
	return LN;
break;
case 3:

# line 69 "parse.l"
	return LOG;
break;
case 4:

# line 70 "parse.l"
	return SQRT;
break;
case 5:

# line 71 "parse.l"
	return SIN;
break;
case 6:

# line 72 "parse.l"
	return COS;
break;
case 7:

# line 73 "parse.l"
	return TAN;
break;
case 8:

# line 74 "parse.l"
	return COT;
break;
case 9:

# line 75 "parse.l"
	return SINH;
break;
case 10:

# line 76 "parse.l"
	return COSH;
break;
case 11:

# line 77 "parse.l"
	return TANH;
break;
case 12:

# line 78 "parse.l"
	return COTH;
break;
case 13:

# line 79 "parse.l"
	return ARCSIN;
break;
case 14:

# line 80 "parse.l"
	return ARCCOS;
break;
case 15:

# line 81 "parse.l"
	return ARCTAN;
break;
case 16:

# line 82 "parse.l"
	return ARCCOT;
break;
case 17:

# line 83 "parse.l"
	return ARSINH;
break;
case 18:

# line 84 "parse.l"
	return ARCOSH;
break;
case 19:

# line 85 "parse.l"
	return ARTANH;
break;
case 20:

# line 86 "parse.l"
	return ARCOTH;
break;
case 21:

# line 87 "parse.l"
	return ERF;
break;
case 22:

# line 88 "parse.l"
	return ERFC;
break;
case 23:

# line 89 "parse.l"
	return FACT;
break;
case 24:

# line 90 "parse.l"
	return SGN;
break;
case 25:

# line 91 "parse.l"
	return INT;
break;
case 26:

# line 92 "parse.l"
	return FRAC;
break;
case 27:

# line 93 "parse.l"
	return ROUND;
break;
case 28:

# line 94 "parse.l"
	return SRE;
break;
case 29:

# line 95 "parse.l"
	return SRE;
break;
case 30:

# line 96 "parse.l"
	return SIM;
break;
case 31:

# line 97 "parse.l"
	return SIM;
break;
case 32:

# line 98 "parse.l"
	return ABS;
break;
case 33:

# line 99 "parse.l"
	return PHI;
break;
case 34:

# line 100 "parse.l"
	return RE;
break;
case 35:

# line 101 "parse.l"
	return IM;
break;
case 36:

# line 103 "parse.l"
{
		yylval.cval.re = 0;
		yylval.cval.im = atof(&yytext[1])*M_E;
		return NUMBER;
		}
break;
case 37:

# line 108 "parse.l"
{
		yylval.cval.re = 0;
		yylval.cval.im = atof(&yytext[1])*M_PI;
		return NUMBER;
		}
break;
case 38:

# line 113 "parse.l"
{
		yylval.cval.re = -atof(&yytext[1])*xArg.im;
		yylval.cval.im = atof(&yytext[1])*xArg.re;
		return NUMBER;
		}
break;
case 39:

# line 118 "parse.l"
	{
		yylval.cval.re = -xArg.im;
		yylval.cval.im = xArg.re;
		return NUMBER;
		}
break;
case 40:

# line 123 "parse.l"
{
		yylval.cval.re = -atof(&yytext[1])*yArg.im;
		yylval.cval.im = atof(&yytext[1])*yArg.re;
		return NUMBER;
		}
break;
case 41:

# line 128 "parse.l"
	{
		yylval.cval.re = -yArg.im;
		yylval.cval.im = yArg.re;
		return NUMBER;
		}
break;
case 42:

# line 133 "parse.l"
{
		yylval.cval.re = 0;
		yylval.cval.im = atof(&yytext[1]);
		return NUMBER;
		}
break;
case 43:

# line 138 "parse.l"
{
		yylval.cval.re = atof(yytext)*M_E;
		yylval.cval.im = 0;
		return NUMBER;
		}
break;
case 44:

# line 143 "parse.l"
{
		yylval.cval.re = atof(yytext)*M_PI;
		yylval.cval.im = 0;
		return NUMBER;
		}
break;
case 45:

# line 148 "parse.l"
{
		yylval.cval.re = atof(yytext)*xArg.re;
		yylval.cval.im = atof(yytext)*xArg.im;
		return NUMBER;
		}
break;
case 46:

# line 153 "parse.l"
{
		yylval.cval.re = atof(yytext)*yArg.re;
		yylval.cval.im = atof(yytext)*yArg.im;
		return NUMBER;
		}
break;
case 47:

# line 158 "parse.l"
	{
		yylval.cval.re = M_E;
		yylval.cval.im = 0;
		return NUMBER;
		}
break;
case 48:

# line 163 "parse.l"
	{
		yylval.cval.re = 0;
		yylval.cval.im = 1;
		return NUMBER;
		}
break;
case 49:

# line 168 "parse.l"
	{
		yylval.cval.re = M_PI;
		yylval.cval.im = 0;
		return NUMBER;
		}
break;
case 50:

# line 173 "parse.l"
	{
		yylval.cval.re = xArg.re;
		yylval.cval.im = xArg.im;
		return NUMBER;
		}
break;
case 51:

# line 178 "parse.l"
	{
		yylval.cval.re = yArg.re;
		yylval.cval.im = yArg.im;
		return NUMBER;
		}
break;
case 52:

# line 183 "parse.l"
{
		yylval.cval.re = atof(yytext);
		yylval.cval.im = 0;
		return NUMBER;
		}
break;
case 53:

# line 188 "parse.l"
{
		yylval.symp = lookSymtab(yytext);
		return NAME;
		}
break;
case 54:

# line 192 "parse.l"
	;
break;
case 55:

# line 193 "parse.l"
	return 0;
break;
case 56:

# line 194 "parse.l"
	return yytext[0];
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
int yyvstop[] = {
0,

56,
0, 

54,
56,
0, 

55,
0, 

52,
56,
0, 

53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

47,
53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

48,
53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

53,
56,
0, 

50,
53,
56,
0, 

51,
53,
56,
0, 

52,
0, 

43,
0, 

45,
0, 

46,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

35,
53,
0, 

53,
0, 

42,
53,
0, 

39,
53,
0, 

41,
53,
0, 

2,
53,
0, 

53,
0, 

53,
0, 

49,
53,
0, 

34,
53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

52,
0, 

52,
0, 

44,
0, 

31,
0, 

29,
0, 

32,
53,
0, 

53,
0, 

53,
0, 

53,
0, 

6,
53,
0, 

8,
53,
0, 

21,
53,
0, 

1,
53,
0, 

53,
0, 

53,
0, 

30,
0, 

25,
53,
0, 

53,
0, 

36,
53,
0, 

53,
0, 

38,
53,
0, 

40,
53,
0, 

3,
53,
0, 

33,
53,
0, 

28,
0, 

53,
0, 

24,
53,
0, 

5,
53,
0, 

53,
0, 

7,
53,
0, 

43,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

10,
53,
0, 

12,
53,
0, 

22,
53,
0, 

23,
53,
0, 

26,
53,
0, 

42,
0, 

42,
53,
0, 

37,
53,
0, 

53,
0, 

9,
53,
0, 

4,
53,
0, 

11,
53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

53,
0, 

36,
0, 

38,
0, 

40,
0, 

42,
0, 

36,
53,
0, 

27,
53,
0, 

14,
53,
0, 

16,
53,
0, 

18,
53,
0, 

20,
53,
0, 

13,
53,
0, 

15,
53,
0, 

17,
53,
0, 

19,
53,
0, 

37,
0, 

36,
0, 
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	31,59,	32,60,	
1,3,	40,71,	49,81,	0,0,	
0,0,	1,6,	23,55,	23,55,	
23,55,	23,55,	23,55,	23,55,	
23,55,	23,55,	23,55,	23,55,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,7,	0,0,	
0,0,	0,0,	1,7,	9,32,	
0,0,	0,0,	1,8,	0,0,	
0,0,	0,0,	8,31,	0,0,	
0,0,	0,0,	6,23,	1,9,	
6,24,	6,24,	6,24,	6,24,	
6,24,	6,24,	6,24,	6,24,	
6,24,	6,24,	0,0,	0,0,	
0,0,	0,0,	1,10,	2,8,	
1,11,	20,54,	1,12,	1,13,	
10,33,	6,25,	1,14,	1,15,	
2,9,	1,16,	14,40,	14,41,	
11,35,	1,17,	27,58,	1,18,	
1,19,	1,20,	12,36,	13,38,	
10,34,	1,21,	1,22,	2,10,	
12,37,	2,11,	33,61,	2,12,	
2,13,	16,45,	16,46,	2,14,	
2,15,	34,62,	2,16,	18,49,	
13,39,	6,26,	2,17,	36,67,	
2,18,	2,19,	2,20,	17,47,	
17,48,	18,50,	2,21,	2,22,	
6,27,	34,63,	34,64,	35,65,	
35,66,	37,68,	38,69,	39,70,	
6,28,	6,29,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
41,72,	46,79,	47,80,	50,82,	
51,83,	52,84,	53,85,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	54,86,	63,92,	64,93,	
65,94,	66,95,	67,96,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	15,42,	15,42,	15,42,	
15,42,	15,42,	15,42,	15,42,	
15,42,	15,42,	15,42,	19,51,	
69,97,	19,52,	55,25,	70,98,	
76,102,	25,56,	82,103,	25,56,	
84,104,	19,53,	25,57,	25,57,	
25,57,	25,57,	25,57,	25,57,	
25,57,	25,57,	25,57,	25,57,	
42,73,	57,87,	42,42,	42,42,	
42,42,	42,42,	42,42,	42,42,	
42,42,	42,42,	42,42,	42,42,	
57,27,	85,105,	55,26,	62,88,	
86,106,	88,107,	89,108,	89,109,	
57,28,	57,29,	90,110,	42,74,	
91,111,	55,27,	92,112,	62,89,	
93,113,	103,121,	108,124,	62,90,	
62,91,	55,28,	55,29,	107,122,	
107,123,	109,125,	110,126,	111,127,	
112,128,	15,43,	15,44,	56,57,	
56,57,	56,57,	56,57,	56,57,	
56,57,	56,57,	56,57,	56,57,	
56,57,	113,129,	116,130,	42,75,	
73,99,	73,99,	73,99,	73,99,	
73,99,	73,99,	73,99,	73,99,	
73,99,	73,99,	42,76,	0,0,	
114,100,	99,114,	114,100,	74,100,	
0,0,	74,100,	42,77,	42,78,	
74,101,	74,101,	74,101,	74,101,	
74,101,	74,101,	74,101,	74,101,	
74,101,	74,101,	75,100,	115,100,	
75,100,	115,100,	0,0,	75,101,	
75,101,	75,101,	75,101,	75,101,	
75,101,	75,101,	75,101,	75,101,	
75,101,	99,115,	100,119,	100,119,	
100,119,	100,119,	100,119,	100,119,	
100,119,	100,119,	100,119,	100,119,	
99,116,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
99,117,	99,118,	101,101,	101,101,	
101,101,	101,101,	101,101,	101,101,	
101,101,	101,101,	101,101,	101,101,	
119,131,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	119,116,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	119,117,	
119,118,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	101,120,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	101,76,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	101,77,	101,78,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-26,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+36,	0,		yyvstop+8,
yycrank+110,	0,		yyvstop+11,
yycrank+1,	yysvec+7,	yyvstop+14,
yycrank+2,	yysvec+7,	yyvstop+17,
yycrank+6,	yysvec+7,	yyvstop+20,
yycrank+1,	yysvec+7,	yyvstop+23,
yycrank+4,	yysvec+7,	yyvstop+26,
yycrank+22,	yysvec+7,	yyvstop+30,
yycrank+1,	yysvec+7,	yyvstop+33,
yycrank+185,	yysvec+7,	yyvstop+36,
yycrank+19,	yysvec+7,	yyvstop+40,
yycrank+39,	yysvec+7,	yyvstop+43,
yycrank+34,	yysvec+7,	yyvstop+46,
yycrank+140,	yysvec+7,	yyvstop+49,
yycrank+4,	yysvec+7,	yyvstop+52,
yycrank+0,	yysvec+7,	yyvstop+55,
yycrank+0,	yysvec+7,	yyvstop+59,
yycrank+2,	0,		0,	
yycrank+0,	yysvec+6,	yyvstop+63,
yycrank+206,	0,		0,	
yycrank+0,	yysvec+25,	yyvstop+65,
yycrank+9,	0,		0,	
yycrank+0,	0,		yyvstop+67,
yycrank+0,	0,		yyvstop+69,
yycrank+0,	yysvec+7,	yyvstop+71,
yycrank+9,	yysvec+7,	yyvstop+73,
yycrank+10,	yysvec+7,	yyvstop+75,
yycrank+11,	yysvec+7,	yyvstop+77,
yycrank+34,	yysvec+7,	yyvstop+79,
yycrank+36,	yysvec+7,	yyvstop+81,
yycrank+37,	yysvec+7,	yyvstop+83,
yycrank+41,	yysvec+7,	yyvstop+85,
yycrank+55,	yysvec+7,	yyvstop+87,
yycrank+58,	yysvec+7,	yyvstop+89,
yycrank+12,	yysvec+7,	yyvstop+91,
yycrank+52,	yysvec+7,	yyvstop+94,
yycrank+218,	yysvec+7,	yyvstop+96,
yycrank+0,	yysvec+7,	yyvstop+99,
yycrank+0,	yysvec+7,	yyvstop+102,
yycrank+0,	yysvec+7,	yyvstop+105,
yycrank+66,	yysvec+7,	yyvstop+108,
yycrank+65,	yysvec+7,	yyvstop+110,
yycrank+0,	yysvec+7,	yyvstop+112,
yycrank+13,	yysvec+7,	yyvstop+115,
yycrank+54,	yysvec+7,	yyvstop+118,
yycrank+62,	yysvec+7,	yyvstop+120,
yycrank+63,	yysvec+7,	yyvstop+122,
yycrank+60,	yysvec+7,	yyvstop+124,
yycrank+91,	yysvec+7,	yyvstop+126,
yycrank+177,	yysvec+23,	yyvstop+128,
yycrank+259,	0,		0,	
yycrank+164,	yysvec+56,	yyvstop+130,
yycrank+0,	0,		yyvstop+132,
yycrank+0,	0,		yyvstop+134,
yycrank+0,	0,		yyvstop+136,
yycrank+0,	yysvec+7,	yyvstop+138,
yycrank+180,	yysvec+7,	yyvstop+141,
yycrank+97,	yysvec+7,	yyvstop+143,
yycrank+106,	yysvec+7,	yyvstop+145,
yycrank+100,	yysvec+7,	yyvstop+147,
yycrank+101,	yysvec+7,	yyvstop+150,
yycrank+107,	yysvec+7,	yyvstop+153,
yycrank+0,	yysvec+7,	yyvstop+156,
yycrank+128,	yysvec+7,	yyvstop+159,
yycrank+148,	yysvec+7,	yyvstop+161,
yycrank+0,	0,		yyvstop+163,
yycrank+0,	yysvec+7,	yyvstop+165,
yycrank+272,	0,		0,	
yycrank+292,	yysvec+7,	yyvstop+168,
yycrank+307,	yysvec+7,	yyvstop+170,
yycrank+143,	yysvec+7,	yyvstop+173,
yycrank+0,	yysvec+7,	yyvstop+175,
yycrank+0,	yysvec+7,	yyvstop+178,
yycrank+0,	yysvec+7,	yyvstop+181,
yycrank+0,	yysvec+7,	yyvstop+184,
yycrank+0,	0,		yyvstop+187,
yycrank+140,	yysvec+7,	yyvstop+189,
yycrank+0,	yysvec+7,	yyvstop+191,
yycrank+148,	yysvec+7,	yyvstop+194,
yycrank+161,	yysvec+7,	yyvstop+197,
yycrank+176,	yysvec+7,	yyvstop+199,
yycrank+0,	0,		yyvstop+202,
yycrank+170,	yysvec+7,	yyvstop+204,
yycrank+167,	yysvec+7,	yyvstop+206,
yycrank+181,	yysvec+7,	yyvstop+208,
yycrank+191,	yysvec+7,	yyvstop+210,
yycrank+180,	yysvec+7,	yyvstop+212,
yycrank+182,	yysvec+7,	yyvstop+214,
yycrank+0,	yysvec+7,	yyvstop+216,
yycrank+0,	yysvec+7,	yyvstop+219,
yycrank+0,	yysvec+7,	yyvstop+222,
yycrank+0,	yysvec+7,	yyvstop+225,
yycrank+0,	yysvec+7,	yyvstop+228,
yycrank+264,	yysvec+73,	yyvstop+231,
yycrank+318,	0,		0,	
yycrank+338,	yysvec+7,	yyvstop+233,
yycrank+0,	yysvec+7,	yyvstop+236,
yycrank+193,	yysvec+7,	yyvstop+239,
yycrank+0,	yysvec+7,	yyvstop+241,
yycrank+0,	yysvec+7,	yyvstop+244,
yycrank+0,	yysvec+7,	yyvstop+247,
yycrank+184,	yysvec+7,	yyvstop+250,
yycrank+190,	yysvec+7,	yyvstop+252,
yycrank+197,	yysvec+7,	yyvstop+254,
yycrank+192,	yysvec+7,	yyvstop+256,
yycrank+193,	yysvec+7,	yyvstop+258,
yycrank+200,	yysvec+7,	yyvstop+260,
yycrank+213,	yysvec+7,	yyvstop+262,
yycrank+289,	yysvec+100,	0,	
yycrank+308,	yysvec+100,	yyvstop+264,
yycrank+213,	0,		0,	
yycrank+0,	0,		yyvstop+266,
yycrank+0,	0,		yyvstop+268,
yycrank+295,	yysvec+100,	yyvstop+270,
yycrank+0,	yysvec+7,	yyvstop+272,
yycrank+0,	yysvec+7,	yyvstop+275,
yycrank+0,	yysvec+7,	yyvstop+278,
yycrank+0,	yysvec+7,	yyvstop+281,
yycrank+0,	yysvec+7,	yyvstop+284,
yycrank+0,	yysvec+7,	yyvstop+287,
yycrank+0,	yysvec+7,	yyvstop+290,
yycrank+0,	yysvec+7,	yyvstop+293,
yycrank+0,	yysvec+7,	yyvstop+296,
yycrank+0,	yysvec+7,	yyvstop+299,
yycrank+0,	0,		yyvstop+302,
yycrank+0,	0,		yyvstop+304,
0,	0,	0};
struct yywork *yytop = yycrank+459;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,  43,   1,  43,   1,   1, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,   1,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  69,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,   1,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  69,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
